import http from '@/utils/http';
import { encryptPwd } from '@/utils/transform';

export async function changeLgpwd(newPassword: string, password: string) {
  const { ok, msg } = await http.post('/user/chpasswd', {
    password: encryptPwd(password),
    newPassword: encryptPwd(newPassword),
  });
  if (ok) return;
  throw Error(msg);
}
